petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMPlexGetAdjacency

Return all points adjacent to the given point

### Synopsis

    #include "petscdmplex.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMPlexGetAdjacency(DM dm, PetscInt p, PetscInt *adjSize, PetscInt *adj[])

### Input Parameters

| dm | - The DM object
| p | - The point
| adjSize | - The maximum size of adj if it is non-NULL, or PETSC_DETERMINE
| adj | - Either NULL so that the array is allocated, or an existing array with size adjSize

### Output Parameters

| adjSize | - The number of adjacent points
| adj | - The adjacent points

### Notes

The user must PetscFree the adj array if it was not passed in.

### See Also

DMPlexSetAdjacencyUseCone(), DMPlexSetAdjacencyUseClosure(), DMPlexDistribute(), DMCreateMatrix(), DMPlexPreallocateOperator()

### Level

advanced

### Location

src/dm/impls/plex/plexdistribute.c

### Implementations

DMPlexGetAdjacency_Cone_Internal in src/dm/impls/plex/plexdistribute.c
DMPlexGetAdjacency_Support_Internal in src/dm/impls/plex/plexdistribute.c
DMPlexGetAdjacency_Transitive_Internal in src/dm/impls/plex/plexdistribute.c
DMPlexGetAdjacency_Internal in src/dm/impls/plex/plexdistribute.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages